Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse RT (runtime) » Defining target platform causing missing dependencies
Defining target platform causing missing dependencies [message #1804441] Tue, 26 March 2019 08:05
Manuel Mall is currently offline Manuel MallFriend
Messages: 25
Registered: September 2015
Junior Member
Using RCP 2019-03 I am trying to setup an Eclipse RT target platform containing BIRT and RAP. I am getting the below dependencies errors and are unsure how best to resolve them.

Cannot complete the install because some dependencies are not satisfiable
Cannot satisfy dependency:
From: BIRT Engine OSGi Runtime Feature 4.7.0.v201706222054 (org.eclipse.birt.osgi.runtime.feature.group 4.7.0.v201706222054)
To: org.eclipse.equinox.p2.iu; org.eclipse.ui [3.2.0,4.0.0)
Cannot satisfy dependency:
From: BIRT Engine OSGi Runtime SDK Feature 4.7.0.v201706222054 (org.eclipse.birt.osgi.runtime.sdk.feature.group 4.7.0.v201706222054)
To: org.eclipse.equinox.p2.iu; org.eclipse.birt.osgi.runtime.feature.group [4.7.0.v201706222054,4.7.0.v201706222054]
Cannot satisfy dependency:
From: RAP SDK 3.8.0.20190225-1059 (org.eclipse.rap.sdk.feature.feature.group 3.8.0.20190225-1059)
To: org.eclipse.equinox.p2.iu; org.eclipse.ui 0.0.0
Software being installed: BIRT Engine OSGi Runtime SDK Feature 4.7.0.v201706222054 (org.eclipse.birt.osgi.runtime.sdk.feature.group 4.7.0.v201706222054)
Software being installed: RAP SDK 3.8.0.20190225-1059 (org.eclipse.rap.sdk.feature.feature.group 3.8.0.20190225-1059)

Previous Topic:Is JSLT within JSPServlet in Eclipse OSGI usable at all?
Next Topic:Search in standalone infocenter does not work
Goto Forum:
  


Current Time: Wed Oct 21 10:55:31 GMT 2020

Powered by FUDForum. Page generated in 0.01384 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top